@import 'ExSoProj.Client.0p4mzh3b3m.bundle.scp.css';
@import '_content/AuralizeBlazor/AuralizeBlazor.tf5u2o3oxg.bundle.scp.css';
@import '_content/Nextended.Blazor/Nextended.Blazor.tkxqvq0zjw.bundle.scp.css';

/* _content/ExSoProj/Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-a6b99i7sb3] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-a6b99i7sb3] {
    flex: 1;
    position: relative;
    z-index: 1;
}

p[b-a6b99i7sb3] {
    color: red;
}

.sidebar[b-a6b99i7sb3] {
    /*background-image: linear-gradient(180deg, #F2EFE7 0%, #9ACBD0 70%);*/
    background-image: linear-gradient(180deg, #f2efe7a3 0%, #9acbd08c 50%, #48a6a79c 100%);
}


@media (min-width: 641px) {
    .page[b-a6b99i7sb3] {
        flex-direction: row;
    }

    .sidebar[b-a6b99i7sb3] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

}

#blazor-error-ui[b-a6b99i7sb3] {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-a6b99i7sb3] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.ourThing[b-a6b99i7sb3] {
    background: radial-gradient( circle, rgba(255, 255, 255, 0.7) 50%, /*Center color (most blurred) */
    rgba(255, 255, 255, 0.5) 70%, /*Mid-way color*/
    rgba(255, 255, 255, 0.3) 100% /*Outer edge color (less blurred)*/
    );
    filter: opacity(1);
    content: "";
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    padding: 20px;
    /*position: relative;*/ /* Ensure .ourThing stays above the video */
    /*z-index: 1;
    background: rgba(0, 0, 0, 0.5);
    color: #f1f1f1;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(10px);*/
    /*padding: 20px;*/
    /*background: linear-gradient(217deg, blur(10px), blur(10px) 70.71%), linear-gradient(127deg, blur(10px), rgba(0,0,0,0) 70.71%), linear-gradient(336deg, rgba(0,0,0,.8), rgba(0,0,0,0) 70.71%);
    */ /*background: linear-gradient( to left, rgba(0,0,0,.5) 0%, rgba(0,0,0,0) 40%) !important;*/
    /*-webkit-mask-image: radial-gradient(square, black 50%, transparent 100%);*/
    /*backdrop-filter: blur(20px);*/
}


.page[b-a6b99i7sb3], main[b-a6b99i7sb3], .video-bg[b-a6b99i7sb3] {
    min-height: 100vh;
}

/* Style for the video to make it a background */
/*.video-bg {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 0;
    overflow: hidden;
}*/

.video-bg[b-a6b99i7sb3] {
    position: relative;  /*or fixed if you want it to ignore page scroll */
    inset: 0;
    width: 100%;
    overflow: hidden;
    z-index: 0;
}

.mathBox[b-a6b99i7sb3] {
    position: absolute;
    inset: 0;  /*top/right/bottom/left: 0 */
    width: 100%;
    height: 100%;
    z-index: 0;
}

/*

.mathBox {
    position: absolute;
    top: 0;
    left: 0;
    min-width: 100%;
    min-height: 100%;
    width: auto;
    height: auto;
    object-fit: cover;
    z-index: 0;
}*/



/* _content/ExSoProj/Components/Layout/MainLayoutOld.razor.rz.scp.css */
.page[b-uyjgwr6sn0] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-uyjgwr6sn0] {
    flex: 1;
    position: relative;
    z-index: 1;
}

p[b-uyjgwr6sn0] {
    color: red;
}

.sidebar[b-uyjgwr6sn0] {
    /*background-image: linear-gradient(180deg, #F2EFE7 0%, #9ACBD0 70%);*/
    background-image: linear-gradient(180deg, #f2efe7a3 0%, #9acbd08c 50%, #48a6a79c 100%);
}


@media (min-width: 641px) {
    .page[b-uyjgwr6sn0] {
        flex-direction: row;
    }

    .sidebar[b-uyjgwr6sn0] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

}

#blazor-error-ui[b-uyjgwr6sn0] {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-uyjgwr6sn0] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.ourThing[b-uyjgwr6sn0] {
    background: radial-gradient( circle, rgba(255, 255, 255, 0.9) 50%, /*Center color (most blurred) */
    rgba(255, 255, 255, 0.85) 70%, /*Mid-way color*/
    rgba(255, 255, 255, 0.5) 100% /*Outer edge color (less blurred)*/
    );
    filter: opacity(1);
    content: "";
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    padding: 20px;
    /*position: relative;*/ /* Ensure .ourThing stays above the video */
    /*z-index: 1;
    background: rgba(0, 0, 0, 0.5);
    color: #f1f1f1;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(10px);*/
    /*padding: 20px;*/
    /*background: linear-gradient(217deg, blur(10px), blur(10px) 70.71%), linear-gradient(127deg, blur(10px), rgba(0,0,0,0) 70.71%), linear-gradient(336deg, rgba(0,0,0,.8), rgba(0,0,0,0) 70.71%);
    */ /*background: linear-gradient( to left, rgba(0,0,0,.5) 0%, rgba(0,0,0,0) 40%) !important;*/
    /*-webkit-mask-image: radial-gradient(square, black 50%, transparent 100%);*/
    /*backdrop-filter: blur(20px);*/
}

/* Style for the video to make it a background */
.video-bg[b-uyjgwr6sn0] {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 0;
    overflow: hidden;
}
    .video-bg video[b-uyjgwr6sn0] {
        position: absolute;
        top: 0;
        left: 0;
        min-width: 100%;
        min-height: 100%;
        width: auto;
        height: auto;
        object-fit: cover;
        z-index: 0;
    }



/* _content/ExSoProj/Components/Layout/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-wwt465hya0] {
    appearance: none;
    cursor: pointer;
    width: 3.5rem;
    height: 2.5rem;
    color: black;
    position: absolute;
    top: 0.5rem;
    right: 1rem;
    border: 1px solid rgba(255, 255, 255, 0.1);
    background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%280, 0, 0, 0.8%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") no-repeat center/1.75rem rgba(255, 255, 255, 0.1);
}

.top-row[b-wwt465hya0] {
    background-color: #f2efe773;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    /* font-style: italic; */ 
    font-family: fangsong; 
    /* font-weight: 100; */
    font-size: 2.5rem;
}

    .top-row[b-wwt465hya0]  a, .top-row[b-wwt465hya0]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-wwt465hya0]  a:hover, .top-row[b-wwt465hya0]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-wwt465hya0]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

/* Ensure dropdown menu is hidden by default */
.dropdown-menu[b-wwt465hya0] {
    display: none;
    position: absolute;
    /* Add any other necessary styles */
}

    /* Show dropdown menu when .show class is added */
    .dropdown-menu.show[b-wwt465hya0] {
        display: block;
    }

/* Optional: Adjust positioning if needed */
.dropdown-menu[b-wwt465hya0] {
    top: 100%;
    left: 0;
    z-index: 1000;
    /* Other positioning styles */
}

.navbar-toggler:checked[b-wwt465hya0] {
    background-color: rgba(255, 255, 255, 0.5);
}


.navbar-brand[b-wwt465hya0] {
    font-size: 1.1rem
}

.bi[b-wwt465hya0] {
    display: inline-block;
    position: relative;
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 0.75rem;
    top: -1px;
    background-size: cover;
}

.bi-house-door-fill-nav-menu[b-wwt465hya0] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-house-door-fill' viewBox='0 0 16 16'%3E%3Cpath d='M6.5 14.5v-3.505c0-.245.25-.495.5-.495h2c.25 0 .5.25.5.5v3.5a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5v-7a.5.5 0 0 0-.146-.354L13 5.793V2.5a.5.5 0 0 0-.5-.5h-1a.5.5 0 0 0-.5.5v1.293L8.354 1.146a.5.5 0 0 0-.708 0l-6 6A.5.5 0 0 0 1.5 7.5v7a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5Z'/%3E%3C/svg%3E");
}

.bi-plus-square-fill-nav-menu[b-wwt465hya0] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-plus-square-fill' viewBox='0 0 16 16'%3E%3Cpath d='M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3a.5.5 0 0 1 1 0z'/%3E%3C/svg%3E");
}

.bi-list-nested-nav-menu[b-wwt465hya0] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-list-nested' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M4.5 11.5A.5.5 0 0 1 5 11h10a.5.5 0 0 1 0 1H5a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 3 7h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 1 3h10a.5.5 0 0 1 0 1H1a.5.5 0 0 1-.5-.5z'/%3E%3C/svg%3E");
}

.nav-item[b-wwt465hya0] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-wwt465hya0] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-wwt465hya0] {
        padding-bottom: 1rem;
    }

    .nav-item[b-wwt465hya0]  .nav-link {
        color: #d7d7d7;
        background: none;
        border: none;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
        width: 100%;
    }

    .nav-item[b-wwt465hya0]  a.active {
        background-color: rgba(100,100,100,0.37);
        color: gray;
    }

.nav-link-black[b-wwt465hya0] {
    color: black;
}

.nav-item[b-wwt465hya0]  .nav-link:hover {
    background-color: rgba(100,100,100,0.1);
    color: gray;
}

.nav-scrollable[b-wwt465hya0] {
    display: none;
}

.navbar-toggler:checked ~ .nav-scrollable[b-wwt465hya0] {
    display: block;
}

@media (min-width: 641px) {
    .navbar-toggler[b-wwt465hya0] {
        display: none;
    }

    .nav-scrollable[b-wwt465hya0] {
        /* Never collapse the sidebar for wide screens */
        display: block;

        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}
/* _content/ExSoProj/Components/Layout/NavMenuBackup.razor.rz.scp.css */
.navbar-toggler[b-5k3noggt6d] {
    appearance: none;
    cursor: pointer;
    width: 3.5rem;
    height: 2.5rem;
    color: black;
    position: absolute;
    top: 0.5rem;
    right: 1rem;
    border: 1px solid rgba(255, 255, 255, 0.1);
    background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") no-repeat center/1.75rem rgba(255, 255, 255, 0.1);
}

    .navbar-toggler:checked[b-5k3noggt6d] {
        background-color: rgba(255, 255, 255, 0.5);
    }

.top-row[b-5k3noggt6d] {
    height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-5k3noggt6d] {
    font-size: 1.1rem;
}

.bi[b-5k3noggt6d] {
    display: inline-block;
    position: relative;
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 0.75rem;
    top: -1px;
    background-size: cover;
}

.bi-house-door-fill-nav-menu[b-5k3noggt6d] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-house-door-fill' viewBox='0 0 16 16'%3E%3Cpath d='M6.5 14.5v-3.505c0-.245.25-.495.5-.495h2c.25 0 .5.25.5.5v3.5a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5v-7a.5.5 0 0 0-.146-.354L13 5.793V2.5a.5.5 0 0 0-.5-.5h-1a.5.5 0 0 0-.5.5v1.293L8.354 1.146a.5.5 0 0 0-.708 0l-6 6A.5.5 0 0 0 1.5 7.5v7a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5Z'/%3E%3C/svg%3E");
}

.bi-plus-square-fill-nav-menu[b-5k3noggt6d] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-plus-square-fill' viewBox='0 0 16 16'%3E%3Cpath d='M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3a.5.5 0 0 1 1 0z'/%3E%3C/svg%3E");
}

.bi-list-nested-nav-menu[b-5k3noggt6d] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-list-nested' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M4.5 11.5A.5.5 0 0 1 5 11h10a.5.5 0 0 1 0 1H5a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 3 7h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 1 3h10a.5.5 0 0 1 0 1H1a.5.5 0 0 1-.5-.5z'/%3E%3C/svg%3E");
}

.nav-item[b-5k3noggt6d] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-5k3noggt6d] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-5k3noggt6d] {
        padding-bottom: 1rem;
    }

    .nav-item[b-5k3noggt6d]  .nav-link {
        color: #d7d7d7;
        background: none;
        border: none;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
        width: 100%;
    }

    .nav-item[b-5k3noggt6d]  a.active {
        background-color: rgba(255,255,255,0.37);
        color: white;
    }

    .nav-item[b-5k3noggt6d]  .nav-link:hover {
        background-color: rgba(255,255,255,0.1);
        color: white;
    }

.nav-scrollable[b-5k3noggt6d] {
    display: none;
}

.navbar-toggler:checked ~ .nav-scrollable[b-5k3noggt6d] {
    display: block;
}

@media (min-width: 641px) {
    .navbar-toggler[b-5k3noggt6d] {
        display: none;
    }

    .nav-scrollable[b-5k3noggt6d] {
        /* Never collapse the sidebar for wide screens */
        display: block;
        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}
